org.eclipse.mat.ui.util

## Class PaneState

- java.lang.Object
- - org.eclipse.mat.ui.util.PaneState

    public class PaneState
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PaneState.PaneType`

### Constructor Summary

Constructors
Constructor and Description
`PaneState(PaneState.PaneType type, PaneState originator, String identifier, boolean reproducable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<PaneState>` `getChildren()`
`String` `getIdentifier()`
`org.eclipse.swt.graphics.Image` `getImage()`
`PaneState` `getParentPaneState()`
`PaneState.PaneType` `getType()`
`boolean` `hasActiveChildren()`
`boolean` `hasChildren()`
`boolean` `isActive()`
`boolean` `isReproducable()`
`void` `setActive(boolean active)`
`void` `setImage(org.eclipse.swt.graphics.Image image)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PaneState

    public PaneState(PaneState.PaneType type,
                     PaneState originator,
                     String identifier,
                     boolean reproducable)

### Method Detail

#### getParentPaneState

    public PaneState getParentPaneState()

#### getIdentifier

    public String getIdentifier()

#### isReproducable

    public boolean isReproducable()

#### getChildren

    public List<PaneState> getChildren()

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

#### setImage

    public void setImage(org.eclipse.swt.graphics.Image image)

#### isActive

    public boolean isActive()

#### setActive

    public void setActive(boolean active)

#### getType

    public PaneState.PaneType getType()

#### hasChildren

    public boolean hasChildren()

#### hasActiveChildren

    public boolean hasActiveChildren()